DLARGV(3f)

NAME
DLARGV - a vector of real plane rotations, determined by elements of the real vectors x and y

SYNOPSIS

SUBROUTINE DLARGV(
    N, X, INCX, Y, INCY, C, INCC )

INTEGER
    INCC, INCX, INCY, N

DOUBLE
    PRECISION C( * ), X( * ), Y( * )

PURPOSE
DLARGV generates a vector of real plane rotations, determined by elements of the real vectors x and y. For i = 1,2,...,n
   ( c(i) s(i) ) ( x(i) ) = ( a(i) )
   ( -s(i) c(i) ) ( y(i) ) = ( 0 )

ARGUMENTS

N       (input) INTEGER
    The number of plane rotations to be generated.

X       (input/output) DOUBLE PRECISION array,
    dimension (1+(N-1)*INCX) On entry, the vector x. On exit, x(i) is overwritten by a(i), for i = 1,...,n.

INCX    (input) INTEGER
    The increment between elements of X. INCX > 0.

Y       (input/output) DOUBLE PRECISION array,
    dimension (1+(N-1)*INCY) On entry, the vector y. On exit, the sines of the plane rotations.

INCY    (input) INTEGER
    The increment between elements of Y. INCY > 0.

C       (output) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
    The cosines of the plane rotations.

INCC    (input) INTEGER
    The increment between elements of C. INCC > 0.